Subject: Re: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Juri Linkov <[email-masked]>
Date: Wed, 25 Dec 2024 20:01:37 +0200

>> Also I'm looking into allowing more list-navigation commands
>> to be usable in ts-modes.  E.g. instead of limiting list-navigation
>> only to the current 'forward-sexp', another useful command is
>> 'down-list'.
>
> Gentle reminder that `forward-sexp` is not a "list-navigation" function.
> That would be `forward-list`.  We very often use sexp commands and
> functions to manipulate non-lists such as identifiers.

Do you think it would be better to override low-level functions 'scan-lists'
and 'scan-sexps' with new variables like 'scan-lists-function'
and 'scan-sexps-function', instead of adding more variables for
overriding top-level commands such as a new variable 'forward-list-function'
and 'down-list-function', like the existing 'forward-sexp-function'?